For the latest news and information visit The GNU Crypto project

## gnu.crypto.jce.hash
Class Sha160Spi

    java.lang.Object
      |
      +--java.security.MessageDigestSpi
            |
            +--gnu.crypto.jce.hash.MessageDigestAdapter
                  |
                  +--gnu.crypto.jce.hash.Sha160Spi

All Implemented Interfaces:
  java.lang.Cloneable

public class Sha160Spi
extends gnu.crypto.jce.hash.MessageDigestAdapter

The implementation of the SHA-1 (160-bit) Service Provider Interface (SPI) adapter.

Constructor Summary
`Sha160Spi()`

Method Summary
`java.lang.Object` `clone()`
`byte[]` `engineDigest()`
`int` `engineDigest(byte[] buf, int offset, int len)`
`int` `engineGetDigestLength()`
`void` `engineReset()`
`void` `engineUpdate(byte input)`
`void` `engineUpdate(byte[] input, int offset, int len)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sha160Spi

    public Sha160Spi()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.security.MessageDigestSpi`

### engineGetDigestLength

    public int engineGetDigestLength()

  Overrides:
    `engineGetDigestLength` in class `java.security.MessageDigestSpi`

### engineUpdate

    public void engineUpdate(byte input)

  Specified by:
    `engineUpdate` in class `java.security.MessageDigestSpi`

### engineUpdate

    public void engineUpdate(byte[] input,
                             int offset,
                             int len)

  Specified by:
    `engineUpdate` in class `java.security.MessageDigestSpi`

### engineDigest

    public byte[] engineDigest()

  Specified by:
    `engineDigest` in class `java.security.MessageDigestSpi`

### engineDigest

    public int engineDigest(byte[] buf,
                            int offset,
                            int len)
                     throws java.security.DigestException

  Overrides:
    `engineDigest` in class `java.security.MessageDigestSpi`
    `java.security.DigestException`

### engineReset

    public void engineReset()

  Specified by:
    `engineReset` in class `java.security.MessageDigestSpi`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.